Debug::DWARF::AT -

# enum Debug::DWARF::AT

## Defined in:

## Enum Members

DW_AT_sibling = `1_u32`
DW_AT_location = `2_u32`

  reference

DW_AT_name = `3_u32`

  exprloc, loclistptr

DW_AT_ordering = `9_u32`

  string

DW_AT_byte_size = `11_u32`

  constant

DW_AT_bit_offset = `12_u32`

  constant, exprloc, reference

DW_AT_bit_size = `13_u32`

  constant, exprloc, reference

DW_AT_stmt_list = `16_u32`

  constant, exprloc, reference

DW_AT_low_pc = `17_u32`

  lineptr

DW_AT_high_pc = `18_u32`

  address

DW_AT_language = `19_u32`

  address, constant

DW_AT_discr = `21_u32`

  constant

DW_AT_discr_value = `22_u32`

  reference

DW_AT_visibility = `23_u32`

  constant

DW_AT_import = `24_u32`

  constant

DW_AT_string_length = `25_u32`

  reference

DW_AT_common_reference = `26_u32`

  exprloc, loclistptr

DW_AT_comp_dir = `27_u32`

  reference

DW_AT_const_value = `28_u32`

  string

DW_AT_containing_type = `29_u32`

  block, constant, string

DW_AT_default_value = `30_u32`

  reference

DW_AT_inline = `32_u32`

  reference

DW_AT_is_optional = `33_u32`

  constant

DW_AT_lower_bound = `34_u32`

  flag

DW_AT_producer = `37_u32`

  constant, exprloc, reference

DW_AT_prototyped = `39_u32`

  string

DW_AT_return_addr = `42_u32`

  flag

DW_AT_start_scope = `44_u32`

  exprloc, loclistptr

DW_AT_bit_stride = `46_u32`

  constant, rangelistptr

DW_AT_upper_bound = `47_u32`

  constant, exprloc, reference

DW_AT_abstract_origin = `49_u32`

  constant, exprloc, reference

DW_AT_accessibility = `50_u32`

  reference

DW_AT_address_class = `51_u32`

  constant

DW_AT_artificial = `52_u32`

  constant

DW_AT_base_types = `53_u32`

  flag

DW_AT_calling_convention = `54_u32`

  reference

DW_AT_count = `55_u32`

  constant

DW_AT_data_member_location = `56_u32`

  constant, exprloc, reference

DW_AT_decl_column = `57_u32`

  constant, exprloc, loclistptr

DW_AT_decl_file = `58_u32`

  constant

DW_AT_decl_line = `59_u32`

  constant

DW_AT_declaration = `60_u32`

  constant

DW_AT_discr_list = `61_u32`

  flag

DW_AT_encoding = `62_u32`

  block

DW_AT_external = `63_u32`

  constant

DW_AT_frame_base = `64_u32`

  flag

DW_AT_friend = `65_u32`

  exprloc, loclistptr

DW_AT_identifier_case = `66_u32`

  reference

DW_AT_macro_info = `67_u32`

  constant

DW_AT_namelist_item = `68_u32`

  macptr

DW_AT_priority = `69_u32`

  reference

DW_AT_segment = `70_u32`

  reference

DW_AT_specification = `71_u32`

  exprloc, loclistptr

DW_AT_static_link = `72_u32`

  reference

DW_AT_type = `73_u32`

  exprloc, loclistptr

DW_AT_use_location = `74_u32`

  reference

DW_AT_variable_parameter = `75_u32`

  exprloc, loclistptr

DW_AT_virtuality = `76_u32`

  flag

DW_AT_vtable_elem_location = `77_u32`

  constant

DW_AT_allocated = `78_u32`

  exprloc, loclistptr

DW_AT_associated = `79_u32`

  constant, exprloc, reference

DW_AT_data_location = `80_u32`

  constant, exprloc, reference

DW_AT_byte_stride = `81_u32`

  exprloc

DW_AT_entry_pc = `82_u32`

  constant, exprloc, reference

DW_AT_use_UTF8 = `83_u32`

  address

DW_AT_extension = `84_u32`

  flag

DW_AT_ranges = `85_u32`

  reference

DW_AT_trampoline = `86_u32`

  rangelistptr

DW_AT_call_column = `87_u32`

  address, flag, reference, string

DW_AT_call_file = `88_u32`

  constant

DW_AT_call_line = `89_u32`

  constant

DW_AT_description = `90_u32`

  constant

DW_AT_binary_scale = `91_u32`

  string

DW_AT_decimal_scale = `92_u32`

  constant

DW_AT_small = `93_u32`

  constant

DW_AT_decimal_sign = `94_u32`

  reference

DW_AT_digit_count = `95_u32`

  constant

DW_AT_picture_string = `96_u32`

  constant

DW_AT_mutable = `97_u32`

  string

DW_AT_threads_scaled = `98_u32`

  flag

DW_AT_explicit = `99_u32`

  flag

DW_AT_object_pointer = `100_u32`

  flag

DW_AT_endianity = `101_u32`

  reference

DW_AT_elemental = `102_u32`

  constant

DW_AT_pure = `103_u32`

  flag

DW_AT_recursive = `104_u32`

  flag

DW_AT_signature = `105_u32`

  flag

DW_AT_main_subprogram = `106_u32`

  reference

DW_AT_data_bit_offset = `107_u32`

  flag

DW_AT_const_expr = `108_u32`

  constant

DW_AT_enum_class = `109_u32`

  flag

DW_AT_linkage_name = `110_u32`

  flag

## Instance Method Summary

- #dw_at_abstract_origin?
- #dw_at_accessibility?
- #dw_at_address_class?
- #dw_at_allocated?
- #dw_at_artificial?
- #dw_at_associated?
- #dw_at_base_types?
- #dw_at_binary_scale?
- #dw_at_bit_offset?
- #dw_at_bit_size?
- #dw_at_bit_stride?
- #dw_at_byte_size?
- #dw_at_byte_stride?
- #dw_at_call_column?
- #dw_at_call_file?
- #dw_at_call_line?
- #dw_at_calling_convention?
- #dw_at_common_reference?
- #dw_at_comp_dir?
- #dw_at_const_expr?
- #dw_at_const_value?
- #dw_at_containing_type?
- #dw_at_count?
- #dw_at_data_bit_offset?
- #dw_at_data_location?
- #dw_at_data_member_location?
- #dw_at_decimal_scale?
- #dw_at_decimal_sign?
- #dw_at_decl_column?
- #dw_at_decl_file?
- #dw_at_decl_line?
- #dw_at_declaration?
- #dw_at_default_value?
- #dw_at_description?
- #dw_at_digit_count?
- #dw_at_discr?
- #dw_at_discr_list?
- #dw_at_discr_value?
- #dw_at_elemental?
- #dw_at_encoding?
- #dw_at_endianity?
- #dw_at_entry_pc?
- #dw_at_enum_class?
- #dw_at_explicit?
- #dw_at_extension?
- #dw_at_external?
- #dw_at_frame_base?
- #dw_at_friend?
- #dw_at_high_pc?
- #dw_at_identifier_case?
- #dw_at_import?
- #dw_at_inline?
- #dw_at_is_optional?
- #dw_at_language?
- #dw_at_linkage_name?
- #dw_at_location?
- #dw_at_low_pc?
- #dw_at_lower_bound?
- #dw_at_macro_info?
- #dw_at_main_subprogram?
- #dw_at_mutable?
- #dw_at_name?
- #dw_at_namelist_item?
- #dw_at_object_pointer?
- #dw_at_ordering?
- #dw_at_picture_string?
- #dw_at_priority?
- #dw_at_producer?
- #dw_at_prototyped?
- #dw_at_pure?
- #dw_at_ranges?
- #dw_at_recursive?
- #dw_at_return_addr?
- #dw_at_segment?
- #dw_at_sibling?
- #dw_at_signature?
- #dw_at_small?
- #dw_at_specification?
- #dw_at_start_scope?
- #dw_at_static_link?
- #dw_at_stmt_list?
- #dw_at_string_length?
- #dw_at_threads_scaled?
- #dw_at_trampoline?
- #dw_at_type?
- #dw_at_upper_bound?
- #dw_at_use_location?
- #dw_at_use_utf8?
- #dw_at_variable_parameter?
- #dw_at_virtuality?
- #dw_at_visibility?
- #dw_at_vtable_elem_location?
- #unknown?

### Instance methods inherited from struct `Enum`

&(other : self) &, +(other : Int) +, -(other : Int) -, <=>(other : self) <=>, ==(other : self) ==, ^(other : self) ^, clone clone, each(&block) each, hash(hasher) hash, includes?(other : self) includes?, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, |(other : self) |, ~ ~

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, from_value?(value : Int) : self? from_value?, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(pull : JSON::PullParser) new, parse(string : String) : self parse, parse?(string : String) : self? parse?

### Class methods inherited from struct `Enum`

each(&block) each, names : Array(String) names, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) >, >=(other : T) >=

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Instance Method Detail

def dw_at_abstract_origin? #
def dw_at_accessibility? #
def dw_at_address_class? #
def dw_at_allocated? #
def dw_at_artificial? #
def dw_at_associated? #
def dw_at_base_types? #
def dw_at_binary_scale? #
def dw_at_bit_offset? #
def dw_at_bit_size? #
def dw_at_bit_stride? #
def dw_at_byte_size? #
def dw_at_byte_stride? #
def dw_at_call_column? #
def dw_at_call_file? #
def dw_at_call_line? #
def dw_at_calling_convention? #
def dw_at_common_reference? #
def dw_at_comp_dir? #
def dw_at_const_expr? #
def dw_at_const_value? #
def dw_at_containing_type? #
def dw_at_count? #
def dw_at_data_bit_offset? #
def dw_at_data_location? #
def dw_at_data_member_location? #
def dw_at_decimal_scale? #
def dw_at_decimal_sign? #
def dw_at_decl_column? #
def dw_at_decl_file? #
def dw_at_decl_line? #
def dw_at_declaration? #
def dw_at_default_value? #
def dw_at_description? #
def dw_at_digit_count? #
def dw_at_discr? #
def dw_at_discr_list? #
def dw_at_discr_value? #
def dw_at_elemental? #
def dw_at_encoding? #
def dw_at_endianity? #
def dw_at_entry_pc? #
def dw_at_enum_class? #
def dw_at_explicit? #
def dw_at_extension? #
def dw_at_external? #
def dw_at_frame_base? #
def dw_at_friend? #
def dw_at_high_pc? #
def dw_at_identifier_case? #
def dw_at_import? #
def dw_at_inline? #
def dw_at_is_optional? #
def dw_at_language? #
def dw_at_linkage_name? #
def dw_at_location? #
def dw_at_low_pc? #
def dw_at_lower_bound? #
def dw_at_macro_info? #
def dw_at_main_subprogram? #
def dw_at_mutable? #
def dw_at_name? #
def dw_at_namelist_item? #
def dw_at_object_pointer? #
def dw_at_ordering? #
def dw_at_picture_string? #
def dw_at_priority? #
def dw_at_producer? #
def dw_at_prototyped? #
def dw_at_pure? #
def dw_at_ranges? #
def dw_at_recursive? #
def dw_at_return_addr? #
def dw_at_segment? #
def dw_at_sibling? #
def dw_at_signature? #
def dw_at_small? #
def dw_at_specification? #
def dw_at_start_scope? #
def dw_at_static_link? #
def dw_at_stmt_list? #
def dw_at_string_length? #
def dw_at_threads_scaled? #
def dw_at_trampoline? #
def dw_at_type? #
def dw_at_upper_bound? #
def dw_at_use_location? #
def dw_at_use_utf8? #
def dw_at_variable_parameter? #
def dw_at_virtuality? #
def dw_at_visibility? #
def dw_at_vtable_elem_location? #
def unknown? #